# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse20024(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'items': 'list[DefinitionsmetaData]',
        'meta_data': 'DefinitionsexperimentVersion'
    }

    attribute_map = {
        'items': 'items',
        'meta_data': 'metaData'
    }

    def __init__(self, items=None, meta_data=None):  # noqa: E501
        """InlineResponse20024 - a model defined in Swagger"""  # noqa: E501
        self._items = None
        self._meta_data = None
        self.discriminator = None
        if items is not None:
            self.items = items
        if meta_data is not None:
            self.meta_data = meta_data

    @property
    def items(self):
        """Gets the items of this InlineResponse20024.  # noqa: E501


        :return: The items of this InlineResponse20024.  # noqa: E501
        :rtype: list[DefinitionsmetaData]
        """
        return self._items

    @items.setter
    def items(self, items):
        """Sets the items of this InlineResponse20024.


        :param items: The items of this InlineResponse20024.  # noqa: E501
        :type: list[DefinitionsmetaData]
        """

        self._items = items

    @property
    def meta_data(self):
        """Gets the meta_data of this InlineResponse20024.  # noqa: E501


        :return: The meta_data of this InlineResponse20024.  # noqa: E501
        :rtype: DefinitionsexperimentVersion
        """
        return self._meta_data

    @meta_data.setter
    def meta_data(self, meta_data):
        """Sets the meta_data of this InlineResponse20024.


        :param meta_data: The meta_data of this InlineResponse20024.  # noqa: E501
        :type: DefinitionsexperimentVersion
        """

        self._meta_data = meta_data

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse20024, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse20024):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
